Package org.apache.sling.jackrabbit.usermanager.impl.resource

# Class NestedAuthorizableValueMap

java.lang.Object
org.apache.sling.jackrabbit.usermanager.impl.resource.BaseAuthorizableValueMap
org.apache.sling.jackrabbit.usermanager.impl.resource.NestedAuthorizableValueMap

All Implemented Interfaces:
  `Map<String,Object>`, `org.apache.sling.api.resource.ValueMap`

public class NestedAuthorizableValueMap extends BaseAuthorizableValueMap
ValueMap implementation for nested properties of Authorizable Resources

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.jackrabbit.usermanager.impl.resource.BaseAuthorizableValueMap

`BaseAuthorizableValueMap.LazyInputStream`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Field Summary

### Fields inherited from class org.apache.sling.jackrabbit.usermanager.impl.resource.BaseAuthorizableValueMap

`authorizable, cache, fullyRead, log, systemUserManagerPaths`

### Fields inherited from interface org.apache.sling.api.resource.ValueMap

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`NestedAuthorizableValueMap(org.apache.jackrabbit.api.security.user.Authorizable authorizable, SystemUserManagerPaths systemUserManagerPaths, @NotNull String relPropPath)`

## Method Summary

Modifier and Type
Method
Description
`protected <T> T`
`convertToType(String name, Class<T> type)`
`protected Object`
`read(String key)`
`protected void`
`readFully()`

### Methods inherited from class org.apache.sling.jackrabbit.usermanager.impl.resource.BaseAuthorizableValueMap

`clear, containsKey, containsValue, entrySet, get, get, get, isEmpty, keySet, put, putAll, readPropertyAndCache, remove, size, toJavaObject, toString, values, valuesToJavaObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### NestedAuthorizableValueMap

public NestedAuthorizableValueMap(org.apache.jackrabbit.api.security.user.Authorizable authorizable, SystemUserManagerPaths systemUserManagerPaths, @NotNull @NotNull String relPropPath)

## Method Details

### read

protected Object read(String key)

Specified by:
  `read` in class `BaseAuthorizableValueMap`

### readFully

protected void readFully()

Specified by:
  `readFully` in class `BaseAuthorizableValueMap`

### convertToType

protected <T> T convertToType(String name, Class<T> type)

Overrides:
  `convertToType` in class `BaseAuthorizableValueMap`